Poll async bulk issuance task
curl --request GET \
--url https://api.loyalty.dog/v2/giftcards/programs/{programId}/cards/bulk/{taskId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/giftcards/programs/{programId}/cards/bulk/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/programs/{programId}/cards/bulk/{taskId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"taskId": "<string>",
"status": "<string>",
"issuedCount": 123,
"cards": [
{
"id": "<string>",
"cardNumber": "<string>",
"lastFourDigits": "<string>"
}
],
"csvDownloadUrl": "<string>",
"failedCount": 123,
"error": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Gift Cards
Poll async bulk issuance task
Poll Async Bulk Issuance
Returns the current status of an async bulk gift-card issuance task.
Path Parameters:
programId: MongoDB ObjectId of the loyalty programtaskId: Celery task ID returned by the bulk issuance POST
Response (BulkIssuanceTaskStatus):
status:"pending"|"processing"|"completed"|"failed"issuedCount,cards,csvDownloadUrl— populated whenstatus == "completed"failedCount,error— populated whenstatus == "failed"or on partial failure
GET
/
v2
/
giftcards
/
programs
/
{programId}
/
cards
/
bulk
/
{taskId}
Poll async bulk issuance task
curl --request GET \
--url https://api.loyalty.dog/v2/giftcards/programs/{programId}/cards/bulk/{taskId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/giftcards/programs/{programId}/cards/bulk/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/programs/{programId}/cards/bulk/{taskId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"taskId": "<string>",
"status": "<string>",
"issuedCount": 123,
"cards": [
{
"id": "<string>",
"cardNumber": "<string>",
"lastFourDigits": "<string>"
}
],
"csvDownloadUrl": "<string>",
"failedCount": 123,
"error": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Query Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
